Loading...
Searching...
No Matches
basis_on_pointset_rep< T >

## Detailed Description

template<class T>
class rheolef::basis_on_pointset_rep< T >

Definition at line 59 of file basis_on_pointset.h.

## Public Types

enum | mode_type { quad_mode = 0 , nodal_mode = 1 , max_mode = 2 }
typedef std::vector< T >::size_type | size_type

## Public Member Functions

| ~basis_on_pointset_rep ()
| basis_on_pointset_rep (const std::string &name="")
| basis_on_pointset_rep (const basis_on_pointset_rep< T > &)
basis_on_pointset_rep< T > & | operator= (const basis_on_pointset_rep< T > &)
void | reset (const std::string &name)
std::string | name () const
bool | is_set () const
size_type | ndof (reference_element hat_K) const
size_type | nnod (reference_element hat_K) const
const basis_basic< T > & | get_basis () const
bool | has_quadrature () const
const quadrature< T > & | get_quadrature () const
const basis_basic< T > & | get_nodal_basis () const
template<class Value >
const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | evaluate (reference_element hat_K) const
template<class Value >
const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | evaluate_on_side (reference_element tilde_L, const side_information_type &sid) const
template<class Value >
const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | grad_evaluate (reference_element hat_K) const
template<class Value >
const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | grad_evaluate_on_side (reference_element tilde_L, const side_information_type &sid) const
| _RHEOLEF_declare_member (T, _scalar_val) _RHEOLEF_declare_member(point_basic< T >
_vector_val | _RHEOLEF_declare_member (tensor_basic< T >, _tensor_val) _RHEOLEF_declare_member(tensor3_basic< T >
_vector_val _tensor3_val | _RHEOLEF_declare_member (tensor4_basic< T >, _tensor4_val) _RHEOLEF_declare_member(T
_vector_val _tensor3_val _sid_scalar_val | _RHEOLEF_declare_member (point_basic< T >, _sid_vector_val) _RHEOLEF_declare_member(tensor_basic< T >
_vector_val _tensor3_val _sid_scalar_val _sid_tensor_val | _RHEOLEF_declare_member (tensor3_basic< T >, _sid_tensor3_val) _RHEOLEF_declare_member(tensor4_basic< T >

## Static Public Member Functions

static basis_on_pointset_rep< T > * | make_ptr (const std::string &name)
static std::string | _make_name (mode_type mode, const std::string &basis_name, const std::string &pointset_name)
static mode_type | _parse_name (const std::string &name, std::string &basis_name, std::string &node_name)

## Protected Member Functions

void | _initialize (reference_element hat_K) const
void | _grad_initialize (reference_element hat_K) const
void | _initialize_continued (reference_element hat_K, const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &hat_node) const
void | _grad_initialize_continued (reference_element hat_K, const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &hat_node) const
void | _sid_initialize (reference_element tilde_L) const
void | _sid_grad_initialize (reference_element tilde_L) const
void | _sid_initialize (reference_element tilde_L, const side_information_type &sid) const
void | _sid_grad_initialize (reference_element tilde_L, const side_information_type &sid) const
void | _sid_initialize_continued (reference_element tilde_L, const side_information_type &sid, const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &hat_node) const
void | _sid_grad_initialize_continued (reference_element tilde_L, const side_information_type &sid, const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &hat_node) const

## Protected Attributes

basis_basic< T > | _b
mode_type | _mode
quadrature< T > | _quad
basis_basic< T > | _nb
std::array< bool, reference_element::max_variant > | _initialized
std::array< bool, reference_element::max_variant > | _grad_initialized
std::array< bool, reference_element::max_variant > | _sid_initialized

## Member Typedef Documentation

## size_type

template<class T >

typedef std::vector<T>::size_type size_type

Definition at line 63 of file basis_on_pointset.h.

## Member Enumeration Documentation

## mode_type

template<class T >

enum mode_type

Enumerator
quad_mode |
nodal_mode |
max_mode |

Definition at line 65 of file basis_on_pointset.h.

## Constructor & Destructor Documentation

## ~basis_on_pointset_rep()

template<class T >

~basis_on_pointset_rep | ( |  | ) |

Definition at line 87 of file basis_on_pointset.cc.

## basis_on_pointset_rep() [1/2]

template<class T >

basis_on_pointset_rep | ( | const std::string & | name = `""` | ) |

Definition at line 144 of file basis_on_pointset.cc.

## basis_on_pointset_rep() [2/2]

template<class T >

basis_on_pointset_rep | ( | const basis_on_pointset_rep< T > & | x | ) |

Definition at line 183 of file basis_on_pointset.cc.

## Member Function Documentation

## operator=()

template<class T >

basis_on_pointset_rep< T > & operator= | ( | const basis_on_pointset_rep< T > & | x | ) |

Definition at line 206 of file basis_on_pointset.cc.

## reset()

template<class T >

void reset | ( | const std::string & | name | ) |

Definition at line 167 of file basis_on_pointset.cc.

## name()

template<class T >

std::string name | ( |  | ) | const

Definition at line 47 of file basis_on_pointset.cc.

## is_set()

template<class T >

bool is_set | ( |  | ) | const

Definition at line 85 of file basis_on_pointset.h.

## ndof()

template<class T >

basis_on_pointset_rep< T >::size_type ndof | ( | reference_element | hat_K | ) | const

Definition at line 240 of file basis_on_pointset.cc.

## nnod()

template<class T >

basis_on_pointset_rep< T >::size_type nnod | ( | reference_element | hat_K | ) | const

Definition at line 230 of file basis_on_pointset.cc.

## get_basis()

template<class T >

const basis_basic< T > & get_basis | ( |  | ) | const

Definition at line 88 of file basis_on_pointset.h.

## has_quadrature()

template<class T >

bool has_quadrature | ( |  | ) | const

Definition at line 89 of file basis_on_pointset.h.

## get_quadrature()

template<class T >

const quadrature< T > & get_quadrature | ( |  | ) | const

Definition at line 246 of file basis_on_pointset.cc.

## get_nodal_basis()

template<class T >

const basis_basic< T > & get_nodal_basis | ( |  | ) | const

Definition at line 253 of file basis_on_pointset.cc.

## evaluate()

template<class T >
template<class Value >

const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & evaluate | ( | reference_element | hat_K | ) | const

Definition at line 510 of file basis_on_pointset.cc.

## evaluate_on_side()

template<class T >
template<class Value >

const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & evaluate_on_side | ( | reference_element | tilde_L,
|  | const side_information_type & | sid
| ) |  | const

Definition at line 526 of file basis_on_pointset.cc.

## grad_evaluate()

template<class T >
template<class Value >

const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & grad_evaluate | ( | reference_element | hat_K | ) | const

Definition at line 518 of file basis_on_pointset.cc.

## grad_evaluate_on_side()

template<class T >
template<class Value >

const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & grad_evaluate_on_side | ( | reference_element | tilde_L,
|  | const side_information_type & | sid
| ) |  | const

Definition at line 536 of file basis_on_pointset.cc.

## make_ptr()

template<class T >

basis_on_pointset_rep< T > * make_ptr | ( | const std::string & | name | ) |

static

Definition at line 82 of file basis_on_pointset.cc.

## _make_name()

template<class T >

std::string _make_name | ( | mode_type | mode,
|  | const std::string & | basis_name,
|  | const std::string & | pointset_name
| ) |  |

static

Definition at line 32 of file basis_on_pointset.cc.

## _parse_name()

template<class T >

basis_on_pointset_rep< T >::mode_type _parse_name | ( | const std::string & | name,
|  | std::string & | basis_name,
|  | std::string & | node_name
| ) |  |

static

Definition at line 59 of file basis_on_pointset.cc.

## _RHEOLEF_declare_member() [1/5]

template<class T >

_RHEOLEF_declare_member | ( | T | ,
|  | _scalar_val |
| ) |  |

## _RHEOLEF_declare_member() [2/5]

template<class T >

_vector_val _RHEOLEF_declare_member | ( | tensor_basic< T > | ,
|  | _tensor_val |
| ) |  |

## _RHEOLEF_declare_member() [3/5]

template<class T >

_vector_val _tensor3_val _RHEOLEF_declare_member | ( | tensor4_basic< T > | ,
|  | _tensor4_val |
| ) |  |

## _RHEOLEF_declare_member() [4/5]

template<class T >

_vector_val _tensor3_val _sid_scalar_val _RHEOLEF_declare_member | ( | point_basic< T > | ,
|  | _sid_vector_val |
| ) |  |

## _RHEOLEF_declare_member() [5/5]

template<class T >

_vector_val _tensor3_val _sid_scalar_val _sid_tensor_val _RHEOLEF_declare_member | ( | tensor3_basic< T > | ,
|  | _sid_tensor3_val |
| ) |  |

## _initialize()

template<class T >

void _initialize | ( | reference_element | hat_K | ) | const

protected

Definition at line 308 of file basis_on_pointset.cc.

## _grad_initialize()

template<class T >

void _grad_initialize | ( | reference_element | hat_K | ) | const

protected

Definition at line 322 of file basis_on_pointset.cc.

## _initialize_continued()

template<class T >

void _initialize_continued | ( | reference_element | hat_K,
|  | const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & | hat_node
| ) |  | const

protected

Definition at line 263 of file basis_on_pointset.cc.

## _grad_initialize_continued()

template<class T >

void _grad_initialize_continued | ( | reference_element | hat_K,
|  | const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & | hat_node
| ) |  | const

protected

Definition at line 287 of file basis_on_pointset.cc.

## _sid_initialize() [1/2]

template<class T >

void _sid_initialize | ( | reference_element | tilde_L | ) | const

protected

Definition at line 479 of file basis_on_pointset.cc.

## _sid_grad_initialize() [1/2]

template<class T >

void _sid_grad_initialize | ( | reference_element | tilde_L | ) | const

protected

Definition at line 500 of file basis_on_pointset.cc.

## _sid_initialize() [2/2]

template<class T >

void _sid_initialize | ( | reference_element | tilde_L,
|  | const side_information_type & | sid
| ) |  | const

protected

Definition at line 453 of file basis_on_pointset.cc.

## _sid_grad_initialize() [2/2]

template<class T >

void _sid_grad_initialize | ( | reference_element | tilde_L,
|  | const side_information_type & | sid
| ) |  | const

protected

## _sid_initialize_continued()

template<class T >

void _sid_initialize_continued | ( | reference_element | tilde_L,
|  | const side_information_type & | sid,
|  | const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & | hat_node
| ) |  | const

protected

Definition at line 393 of file basis_on_pointset.cc.

## _sid_grad_initialize_continued()

template<class T >

void _sid_grad_initialize_continued | ( | reference_element | tilde_L,
|  | const side_information_type & | sid,
|  | const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & | hat_node
| ) |  | const

protected

## Member Data Documentation

## _b

template<class T >

basis_basic<T> _b

protected

Definition at line 125 of file basis_on_pointset.h.

## _mode

template<class T >

mode_type _mode

mutable protected

Definition at line 126 of file basis_on_pointset.h.

## _quad

template<class T >

quadrature<T> _quad

protected

Definition at line 127 of file basis_on_pointset.h.

## _nb

template<class T >

basis_basic<T> _nb

protected

Definition at line 128 of file basis_on_pointset.h.

## _initialized

template<class T >

std::array<bool, reference_element::max_variant> _initialized

mutable protected

Definition at line 165 of file basis_on_pointset.h.

## _grad_initialized

template<class T >

std::array<bool, reference_element::max_variant> _grad_initialized

mutable protected

Definition at line 167 of file basis_on_pointset.h.

## _sid_initialized

template<class T >

std::array<bool, reference_element::max_variant> _sid_initialized

mutable protected

Definition at line 169 of file basis_on_pointset.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/fem/lib/basis_on_pointset.h
- /build/rheolef-dTNbRN/rheolef-7.2/fem/lib/basis_on_pointset.cc